org.licas.server.model

## Class ServerConfig

- java.lang.Object
- - org.licas.server.model.ServerConfig

-     public class ServerConfig
      extends java.lang.Object

  This stores information relating to a server setup.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConfig()` Create a new instance of ServerConfig

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAsHttps()` Get the https protocol value.
    `boolean` | `getPasswordsRequired()` Get the passwords required value.
    `java.lang.String` | `getServerAdminKey()` Get the key for server admin changes.
    `java.lang.String` | `getServerContact()` Get the contact details for the server administrator.
    `java.lang.String` | `getServerIP()` Get the server ip address.
    `java.lang.String` | `getServerPassword()` Get the password for the server method invocation.
    `int` | `getServerPort()` Get the port number to run the gui server on.
    `void` | `setAsHttps(boolean thisAsHttps)` Set the https protocol value.
    `void` | `setPasswordsRequired(boolean thisPasswordsRequired)` Set the passwords required value.
    `void` | `setServerAdminKey(java.lang.String theServerAdminKey)` Set the key for server admin changes.
    `void` | `setServerContact(java.lang.String theServerContact)` Set the contact details for the server adminisrator.
    `void` | `setServerIP(java.lang.String theServerIP)` Set the server ip address.
    `void` | `setServerPassword(java.lang.String theServerPassword)` Set the password for the server method invocation.
    `void` | `setServerPort(int theServerPort)` Set the port number to run the gui server on.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerConfig

          public ServerConfig()

      Create a new instance of ServerConfig

  - ### Method Detail

    - #### setServerPort

          public void setServerPort(int theServerPort)

      Set the port number to run the gui server on.
      Parameters:
        `theServerPort` - the port number.

    - #### getServerPort

          public int getServerPort()

      Get the port number to run the gui server on.
      Returns:
        the value of serverPort.

    - #### setServerIP

          public void setServerIP(java.lang.String theServerIP)

      Set the server ip address.
      Parameters:
        `theServerIP` - the server ip address.

    - #### getServerIP

          public java.lang.String getServerIP()

      Get the server ip address.
      Returns:
        the value of serverIP.

    - #### setServerPassword

          public void setServerPassword(java.lang.String theServerPassword)

      Set the password for the server method invocation.
      Parameters:
        `theServerPassword` - the server password.

    - #### getServerPassword

          public java.lang.String getServerPassword()

      Get the password for the server method invocation.
      Returns:
        the value of serverPassword.

    - #### setServerAdminKey

          public void setServerAdminKey(java.lang.String theServerAdminKey)

      Set the key for server admin changes.
      Parameters:
        `theServerAdminKey` - the server admin key.

    - #### getServerAdminKey

          public java.lang.String getServerAdminKey()

      Get the key for server admin changes.
      Returns:
        the value of serverAdminKey.

    - #### setServerContact

          public void setServerContact(java.lang.String theServerContact)

      Set the contact details for the server adminisrator.
      Parameters:
        `theServerContact` - the administrator contact details.

    - #### getServerContact

          public java.lang.String getServerContact()

      Get the contact details for the server administrator.
      Returns:
        the value of serverContact.

    - #### setPasswordsRequired

          public void setPasswordsRequired(boolean thisPasswordsRequired)

      Set the passwords required value.
      Parameters:
        `thisPasswordsRequired` - if true the server requires the passwords.

    - #### getPasswordsRequired

          public boolean getPasswordsRequired()

      Get the passwords required value.
      Returns:
        the value of passwordsRequired.

    - #### setAsHttps

          public void setAsHttps(boolean thisAsHttps)

      Set the https protocol value.
      Parameters:
        `thisAsHttps` - if true for the https protocol, false for http.

    - #### getAsHttps

          public boolean getAsHttps()

      Get the https protocol value.
      Returns:
        the value of asHttps.